summaryrefslogtreecommitdiffstats
path: root/ssh/start-on-target.sh.in
diff options
context:
space:
mode:
authorRomain Forlot <romain.forlot@iot.bzh>2017-07-07 12:04:20 +0200
committerRomain Forlot <romain.forlot@iot.bzh>2018-10-15 18:22:47 +0200
commit3aa6c913a88f129413f9f66ba7dd97142e25e9b7 (patch)
tree4186699530fcce55a815994207226db8447427cc /ssh/start-on-target.sh.in
parentac1959f4cc99976e28fd121132ff290d9a709af6 (diff)
Fix: wrong extension of configured files
Remove the ".in" template extension from filenames which have to be correctly named. Change-Id: I8128f5fa64d5fa914a717c18fbba14fc43de4935 Signed-off-by: Romain Forlot <romain.forlot@iot.bzh>
Diffstat (limited to 'ssh/start-on-target.sh.in')
-rw-r--r--ssh/start-on-target.sh.in25
1 files changed, 25 insertions, 0 deletions
diff --git a/ssh/start-on-target.sh.in b/ssh/start-on-target.sh.in
new file mode 100644
index 0000000..9e3a60d
--- /dev/null
+++ b/ssh/start-on-target.sh.in
@@ -0,0 +1,25 @@
+#!/bin/sh
+#
+# File: start-on-target.sh
+# Author: Fulup Ar Foll @ IoT.bzh
+# Object: Forward signal (SIGTERM) to remote process
+# Created on 24-May-2017, 09:23:37
+# Usage: remote-target-populate update script under ./build directory
+
+# Do not change manually use 'make remote-target-populate'
+export RSYNC_TARGET=@RSYNC_TARGET@
+export PROJECT_NAME=@PROJECT_NAME@
+export RSYNC_PREFIX=@RSYNC_PREFIX@/@PROJECT_NAME@
+export AFB_REMPORT=@AFB_REMPORT@
+export AFB_TOKEN=@AFB_TOKEN@
+
+exec ssh -o StrictHostKeyChecking=no -o UserKnownHostsFile=/dev/null -tt $RSYNC_TARGET << EOF
+ afb-daemon --workdir=$RSYNC_PREFIX --port=$AFB_REMPORT --roothttp=./htdocs --ldpath=./lib --verbose --token=$AFB_TOKEN &
+ PID_DAEMON=\$!
+
+ trap "echo REMOTE-SIGNAL TRAP; kill -15 \$PID_DAEMON" INT QUIT TERM EXIT
+
+ # wait for daemon to finish
+ wait \$PID_DAEMON
+ exit
+EOF